Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class BaseStringBitMap

    java.lang.Object
      com.ejie.r01f.util.BaseBitMap
          com.ejie.r01f.util.BaseStringBitMap

All Implemented Interfaces:
  java.io.Serializable

public class BaseStringBitMap
extends BaseBitMap
implements java.io.Serializable

Clase que encapsula un mapa de bits en una cadena Por ejemplo codificando información de seguridad en una cadena de ceros y unos ControlTotal ---------------------------------------------- Administrar Seguridad ----------------------------------- | Borrado ----------------------------------------------- | | Lectura --------------------------------------------- | | | Escritura ----------------------------------------- | | | | Crear ------------------------------------------- | | | | | | | | | | | 0 0 0 0 0 0 Por ejemplo: 011010: Puede administrar seguridad, leer y escribir pero no puede crear ni tiene control total

Author:
  Alex (EJIE)
See Also:
  Serialized Form

Constructor Summary
`BaseStringBitMap()` Constructor vacío
`BaseStringBitMap(java.lang.String newBitMap)` Constructor en base a un bitmap

Method Summary
`java.lang.String` | `getBitMapString()` Devuelve el bitmap en forma de String
`void` | `incorporateBitMapInfo(BaseStringBitMap otherFlags)` Incorpora la informacion de otro bitmap
`static void` | `main(java.lang.String[] args)` Main Method
`java.lang.String` | `setBitMap(java.lang.String theBitMap)` Establece el bitmap de nuevo

Methods inherited from class com.ejie.r01f.util.BaseBitMap
`composeDebugInfo, getBitMap, incorporateBitMapInfo, setBitMap, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseStringBitMap

    public BaseStringBitMap()

  Constructor vacío

### BaseStringBitMap

    public BaseStringBitMap(java.lang.String newBitMap)
                     throws java.lang.NumberFormatException

  Constructor en base a un bitmap

Parameters:
  `newBitMap` - Una cadena con numeros binarios ej: 100101001
Throws:
  `java.lang.NumberFormatException` - si la cadena que se pasa no es la representacion binaria de un entero

Method Detail

### setBitMap

    public java.lang.String setBitMap(java.lang.String theBitMap)
                               throws java.lang.NumberFormatException

  Establece el bitmap de nuevo

  Throws:
    `java.lang.NumberFormatException`
  See Also:
    `BaseBitMap.setBitMap(int)`

### getBitMapString

    public java.lang.String getBitMapString()

  Devuelve el bitmap en forma de String

  See Also:
    `BaseBitMap.getBitMap()`

### incorporateBitMapInfo

    public void incorporateBitMapInfo(BaseStringBitMap otherFlags)

  Incorpora la informacion de otro bitmap

  See Also:
    `BaseBitMap.incorporateBitMapInfo(com.ejie.r01f.util.BaseBitMap)`

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD